:root {
    scroll-behavior: smooth;

    --BgColor: #ffffff;
    --BgColorAlt: #eeeeee;
    --Accent: #005ced;
    --AccentAlt: #1e9cfb;
    --Text: #000000;
    --SemiOpaqueText: #00000055;
    --FontSize: 22;
    --TitleFontSize: 32;

    font-family: Segoe UI, Arial, sans-serif;
}

body {
    padding: 0px;
    margin: 0px;
    overflow: hidden;
    background-color: var(--BgColor);
    font-size: var(--FontSize);
}

.bold {
    font-weight: bold;
}


/* â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–  TIMEOUT  â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â– */

.timeoutTopBar {
    background: linear-gradient(to left, var(--Accent), var(--AccentAlt));
    color: var(--BgColor);
    font-weight: bold;
    padding: 5px;
}

h1 {
    margin: 0 0 0 30px;
}

.timeoutBody {
    background-color: var(--Text);
}

#articlesContainer img {
    width: 100%;
    position: absolute;
}

#articlesContainer p {
    position: absolute;
    z-index: 2;
    color: var(--BgColor);
    padding: 20px;
    background-color: var(--SemiOpaqueText);
    backdrop-filter: blur(15px);
    margin: 0;
    bottom: 0px;
}

#tablePageNotchesContainer.timeoutNotches {
    top: 21px;
    right: 16px;
}

/* â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–  TABLE  â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â– */

table,
th,
td {
    left: 0;
    right: 0;
    font-size: var(--FontSize);
}

table {
    border-collapse: collapse;
    margin: auto;
}

th,
td {
    margin: 0px;
    padding: 5px;
    border-thickness: 0px;
}

thead {
    background: linear-gradient(to left, var(--Accent), var(--AccentAlt));
    color: var(--BgColor);
    font-weight: bold;
}

tbody tr:nth-child(odd) {
    background-color: var(--BgColor);
}

tbody tr:nth-child(even) {
    background-color: var(--BgColorAlt);
}

/* â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–  TRANSACTION  â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â– */

.countColumn {
    text-align: right;
    width: 70px;
}

.discountColumn {
    text-align: right;
    width: 130px;
}

.priceColumn {
    text-align: right;
    width: 135px;
}

.nameColumn {
    padding-left: 5vw;
    text-align: left;
    overflow-x: hidden;
}

.transactionTableContainer {
    width: 100vw;
    height: auto;
    min-height: 100px;
    max-height: 100vh;
    position: relative;
}

.transactionTableContainer table {
    table-layout: fixed;
    width: 100vw;
}

.transactionTableContainer table td {
    white-space: nowrap;
    overflow: hidden;
}

.summaryTable {
    position: absolute;
    bottom: 0px;
    border-bottom: 4px solid var(--BgColorAlt);
}

#tablePageNotchesContainer {
    position: fixed;
    z-index: 2;
    display: block;
    margin: auto;
    padding: 8px;
    top: 6px;
    right: 1px;
}

.tablePageNotch {
    display: inline-block;
    margin: 0 4px 0 0;
    width: 15px;
    height: 15px;
    border-radius: 20px;
    border: 2px solid var(--BgColor);
    transition-duration: 750ms;
}

.tablePageNotch.active {
    background-color: var(--BgColor);
    transition-duration: 750ms;
}

#progressBarContainer {
    width: 100%;
    background-color: var(--Accent);
}

#progressBar {
    width: 15%;
    height: 10px;
    background-color: var(--AccentAlt);
}

/* â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–  HALL MAP  â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â– */

#hallMapDocSection {
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin: 0;
    width: 100vw;
    height: 100vh;
}

.seat,
.hallDescription {
    position: absolute;
    display: block;
}

.noText {
    color: transparent !important;
}

.hallDescription {
    font-size: 17;
}

.seat {
    text-align: center;
    font-size: 15;
    border-radius: 5px;
    line-height: 17px;
}

#hallMapContainer {
    height: calc(100vh - 40px);
    margin: 10px 30px 30px 10px;
    flex-grow: 1;
    flex-shrink: 1;
}

#hallMap {
    transform-origin: top left;
    width: auto;
    height: auto;
    margin: 0 0 0 0;
    padding: 0;
    position: relative;
}

.seatColor0 {
    background-color: #005ced;
    color: white;
}

.seatColor1 {
    background-color: #221e8d;
    color: white;
}

.seatColor2 {
    background-color: #03c9f9;
    color: black;
}

.seatColor3 {
    background-color: #96e9f0;
    color: black;
}

.seatColor4 {
    background-color: #b608e1;
    color: white;
}

.seatState_Available {}

.seatState_Unavailable {
    background-color: gray;
    color: black;
}

.seatState_Selected {
    background-color: #ff8100;
    color: black;
}

priceCategoriesColumn {
    height: 100vh;
    z-index: 2;
}

.priceCategoriesPanelContainer {
    background: linear-gradient(135deg, var(--AccentAlt), var(--Accent));
    border-radius: 0 0 0 15px;
    padding: 0 0 5px 5px;
    box-shadow: 5px 5px 10px -5px var(--AccentAlt);
}

.priceCategoriesPanel {
    top: 0;
    right: 0;
    /*border-left: 2px solid black; 
	border-bottom: 2px solid black; 
	border-radius: 0 0 0 15px;*/
    background: var(--BgColor);
    padding: 10px;
    border-radius: 0 0 0 10px;
    font-size: var(--FontSize);
}

.priceCategoryColorRect {
    width: 15px;
    height: 15px;
    display: inline-block;
    border: 1px solid black;
    border-radius: 3px;
}

/* â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–  NOTIFICATION  â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â–â– */

.notificationContainer {
    position: absolute;
    top: 50%;
    transform: translateY(-50%) translateX(-50%);
    left: 50%
}

.notificationBubble {
    width: 150px;
    height: 150px;
    margin: 0 auto 20 auto;
    border-radius: 75px;
    font-size: 100;
    text-align: center;
    line-height: 150px;

    background: linear-gradient(135deg, var(--AccentAlt), var(--Accent));
    color: var(--BgColor);
    font-weight: bold;
    box-shadow: 0px 0px 10px 2px var(--AccentAlt);
}

.notificationTitle {
    text-align: center;
    margin: 0 auto 10 auto;
    font-size: var(--TitleFontSize);
}

.notificationMessage {
    text-align: center;
    margin: auto;
    font-size: var(--FontSize);
}